#! /bin/bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/check_path.lang

# Some variables
BBBURNING="cdrdao cdrecord mkisofs"
BBRIPPERS="cdda2wav"
BBXCODERS="lame oggenc oggdec flac"
BBMISC="cut eject normalize mpg123 sed tr"
bb_found_all_apps=0


# Function that check the paths of applications 
# used for BashBurn.
check_path()
{
    for program in $*; do
	
	if which ${program} &> /dev/null; then
	    echo -e "\t ${program} ${BBSUBCOLOR} $bb_cp_1 ${BBCOLOROFF} $bb_cp_2 `which ${program}`"
	    (( bb_found_all_apps += 1 )) # Add a one for each app found
	else
	    echo -e "\t ${program} ${BBTABLECOLOR} $bb_cp_3 ${BBCOLOROFF} $bb_cp_4"
	fi
    done
    return
}

#####PROGRAM START#####

while true; do
	# <colors>
    BBCOLOROFF="\033[1;0m"	# standard color
    BBHEADCOLOR="\033[1;32m"	# green
    BBMAINCOLOR="\033[1;37m"	# white
    BBSUBCOLOR="\033[1;36m"	# blue
    BBTABLECOLOR="\033[1;31m"	# red
    BBINPUTCOLOR="\033[1;35m"	# lilac
	# </colors>
    echo -e "${BBTABLECOLOR}${BBSUBCOLOR}$bb_cp_5"
    echo -e "${BBTABLECOLOR}|>${BBMAINCOLOR}$bb_cp_6${BBCOLOROFF}"
    check_path ${BBBURNING}
    echo -e "${BBTABLECOLOR}|>${BBMAINCOLOR}$bb_cp_7${BBCOLOROFF}"
    check_path ${BBRIPPERS}
    echo -e "${BBTABLECOLOR}|>${BBMAINCOLOR}$bb_cp_8${BBCOLOROFF}"
    check_path ${BBXCODERS}
    echo -e "${BBTABLECOLOR}|>${BBMAINCOLOR}$bb_cp_9${BBCOLOROFF}"
    check_path ${BBMISC}
    echo

# Only output this if some apps were not found. We don't want to scare people unless necessary :-)
    if [ $bb_found_all_apps != 14 ]
	then
	echo $bb_cp_10
	echo $bb_cp_11
    fi
    
    echo
    echo $bb_cp_12
    read temp
    break
    
done
